Summary: An editor for the GConf configuration system
Name: gconf-editor
Version: 2.4.0
Release: 2mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.0-2mdk various bug fixes (CVS)
Patch0:	gconf-editor-2.4.0-cvsfixes.patch.bz2
License: GPL
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgtk+2.0-devel
BuildRequires: libGConf2-devel
URL: http://www.gnome.org/

%description
gconf-edit is an editor for the GConf configuration system

%prep
%setup -q
%patch0 -p1 -b .cvsfixes

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/gconf-editor" icon="%{_datadir}/pixmaps/gconf-editor.png" title="GConf Editor" longtitle="Directly edit your entire configuration database" needs="gnome" section="Configuration/GNOME/Advanced" startup_notify="true"
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%{_bindir}/*
%{_menudir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*

%changelog
* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch0 (CVS): a lot of bug fixes from HEAD

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-2mdk
- Rebuild with latest ORBit2

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- Release 0.4.0

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Add menu entry

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-3mdk
- Fix BuildRequires

* Mon Jul  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-2mdk
- Fix rpmlint errors

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- Initial Mandrake package (GNOME 2)


# end of file
